Bug 216363 - (labyrinth) Review Request: labyrinth - Simple but powerful mind-mapping software for GNOME
Review Request: labyrinth - Simple but powerful mind-mapping software for GNOME
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-19 18:44 EST by Peter Gordon
Modified: 2008-04-03 16:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 21:36:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2006-11-19 18:44:00 EST
Spec URL: http://thecodergeek.com/downloads/fedora/labyrinth.spec
SRPM URL: http://thecodergeek.com/downloads/fedora/labyrinth-0.3-1.src.rpm

Description: (Taken from the website's "About" page, as well as Wikipedia's explanation of a mind-map.)

Labyrinth is a lightweight mind-mapping tool, written in Python using Gtk and
Cairo to do the drawing. It is intended to be as light and intuitive as
possible, but still provide a wide range of powerful features.

A mind-map is a diagram used to represent words, ideas, tasks or other items
linked to and arranged radially around a central key word or idea. It is used
to generate, visualize, structure and classify ideas, and as an aid in study,
organization, problem solving, and decision making.

rpmlint is silent on both source and binary (noarch) RPMs.
Comment 1 Parag AN(पराग) 2006-11-20 01:45:09 EST
Did mock build and found under build.log
*** Icon cache not updated.  After install, run this:
***   gtk-update-icon-cache -f -t /usr/share/icons/hicolor
Comment 2 Parag AN(पराग) 2006-11-20 04:22:11 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPMS.
+ source files match upstream.
d06a89239d53ae31846344c18b0df731  labyrinth-0.3.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ COPYING included in %doc.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ .pc file present.
+ no -devel subpackage exists
+ Used gtk-update-icon-cache correctly
+ no .la files.
+ translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed succesfully
+ Desktop file is handled correclty in SPEC file.
+ GUI app
+ Followed python packaging guidelines.

Not yet approved this package as i would like to know why messages in above
comment occured in build.log
Comment 3 Peter Gordon 2006-11-20 10:42:38 EST
Parag: The messages in the build.log are there because the Makefile in data/
contains the following block:

> if test -z "$(DESTDIR)"; then \
>        echo "Updating Gtk icon cache."; \
>        $(gtk_update_icon_cache); \
> else \
>        echo "*** Icon cache not updated.  After install, run this:"; \
>        echo "***   $(gtk_update_icon_cache)"; \
> fi

What this does is test that DESTDIR is empty (the default installation directory
would then be used) and run gtk-update-icon-cache only if so. However, we need
the files to be installed into the build root to be grabbed by rpmbuild rather
than installed to the system directory structure, thus are required to use
DESTDIR=%{buildroot} in the make call.

If you'd like, I could patch this out of the Makefile and not show it; but I
believe it is entirely harmless and feel that such a patch would serve no
significant benefit.

Thanks for your time and review!
Comment 4 Parag AN(पराग) 2006-11-20 11:53:02 EST
Thanks. Yes then its harmless.
APPROVED.
Comment 5 Parag AN(पराग) 2006-11-20 11:55:55 EST
Don't Forget to CLOSE this bug as NEXTRELEASE when you finish building this package.
Comment 6 Peter Gordon 2006-11-21 21:36:37 EST
Thanks for your review and comments. It's built on devel; and FC-5 and FC-6
branches have been requested. 
Comment 7 Peter Gordon 2008-04-02 22:24:22 EDT
Package Change Request
======================
Package Name: labyrinth
New Branches: F-9

Please early-branch for F-9. I'd like to update Fedora's packaging to the
recently-released 0.4 release; but since it introduces a slew of new features
and bug-fixes (and we are in feature freeze), I'd like to keep F-9 (current
devel) at 0.3 until I can be sure that migrating to 0.4 won't pose an issue and
won't break anything, etc.

Thanks. :)
Comment 8 Kevin Fenzi 2008-04-03 16:10:52 EDT
Thanks for thinking of the freeze. ;) 

cvs done.

Note You need to log in before you can comment on or make changes to this bug.